LIRCMD(8)

NAME
lircmd - LIRC mouse daemon translates infrared signals into mouse events

SYNOPSIS
lircmd [options] [config-file]

DESCRIPTION
This daemon can simulate a MouseSystems, IntelliMouse or IMPS/2 type mouse. It gets the received buttons from lircd and converts them to mouse events. To make this possible, lircmd needs a config file located in /etc/lircmd.conf. In this file you have to determine which button from which remote causes a mouse move or a mouse button click. You can also specify a special button which activates or deactivates the mouse mode.

-h --help
    display this message

-v --version
    display version

-n --nodaemon
    don't fork to background

-O --options-file=file alternative default options file

-u --uinput
    generate Linux input events

OPTIONS
If you provide the --nodaemon option lircmd won't fork to background.

On Linux systems the --uinput option will enable automatic generation of Linux input events. lircmd will open /dev/input/uinput and inject the simulated mouse events into the Linux kernel rather than creating the /dev/lircm device.

FILES
lircmd will use syslogd to output error messages. It depends on your system configuration where they will show up.

The options file is by default /etc/lirc/lirc_options.conf; lircmd handles the values under the [lircd] section in this file. The location can be changed using the -O/--options-file command-line option or using the environment variable LIRC_OPTIONS_PATH. The values here are used as defaults for any option not present on command line.

DAEMONS
lircmd is a daemon. You should start it in some init script depending on your system. Besides the preferred systemd setup which is installed by default there are also example scripts for other distros and init systems in the contrib directory. lircmd has to be started after lircd as it connects to the socket lircd provides.

If you start lircd or lircmd from your shell prompt you will usually get back immediately to the prompt. This is not an error, daemons always run in background.

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.